# Luxsci.MarketingApi

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*, unless a hostname is provided ([see README](../README.md#documentation-for-api-endpoints))

Method | HTTP request | Description
------------- | ------------- | -------------
[**addMarketingCampaign**](MarketingApi.md#addMarketingCampaign) | **POST** /account/{accountId}/marketing/addCampaign | 
[**addMarketingContact**](MarketingApi.md#addMarketingContact) | **POST** /account/{accountId}/marketing/addContact | 
[**addMarketingContacts**](MarketingApi.md#addMarketingContacts) | **POST** /account/{accountId}/marketing/addContacts | 
[**addMarketingList**](MarketingApi.md#addMarketingList) | **POST** /account/{accountId}/marketing/addList | 
[**addNewMarketingSuppression**](MarketingApi.md#addNewMarketingSuppression) | **POST** /account/{accountId}/marketing/suppress | 
[**deleteMarketingCampaign**](MarketingApi.md#deleteMarketingCampaign) | **DELETE** /account/{accountId}/marketing/deleteCampaign/{id} | 
[**deleteMarketingContactById**](MarketingApi.md#deleteMarketingContactById) | **DELETE** /account/{accountId}/marketing/deleteContact/{id} | 
[**deleteMarketingList**](MarketingApi.md#deleteMarketingList) | **DELETE** /account/{accountId}/marketing/deleteList/{id} | 
[**deleteMarketingListGroup**](MarketingApi.md#deleteMarketingListGroup) | **DELETE** /account/{accountId}/deleteListGroup/{id} | 
[**deleteMarketingSuppression**](MarketingApi.md#deleteMarketingSuppression) | **DELETE** /account/{accountId}/marketing/deleteSuppressed/{type} | 
[**getMarketingCampaignBouncedStatistics**](MarketingApi.md#getMarketingCampaignBouncedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsBounced/{schedule_id} | 
[**getMarketingCampaignClickedStatistics**](MarketingApi.md#getMarketingCampaignClickedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsClicked/{schedule_id} | 
[**getMarketingCampaignGroups**](MarketingApi.md#getMarketingCampaignGroups) | **GET** /account/{accountId}/marketing/getMarketingCampaignGroups | 
[**getMarketingCampaignOpenedStatistics**](MarketingApi.md#getMarketingCampaignOpenedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsOpened/{schedule_id} | 
[**getMarketingCampaignStatisticsSummary**](MarketingApi.md#getMarketingCampaignStatisticsSummary) | **GET** /account/{accountId}/marketing/getCampaignStatsSummary/{schedule_id} | 
[**getMarketingCampaignUnsubscribedStatistics**](MarketingApi.md#getMarketingCampaignUnsubscribedStatistics) | **GET** /account/{accountId}/marketing/getCampaignStatsUnsubscribed/{schedule_id} | 
[**getMarketingCampaigns**](MarketingApi.md#getMarketingCampaigns) | **GET** /account/{accountId}/marketing/getCampaigns | 
[**getMarketingContactById**](MarketingApi.md#getMarketingContactById) | **GET** /account/{accountId}/marketing/getContact/{id} | 
[**getMarketingContacts**](MarketingApi.md#getMarketingContacts) | **GET** /account/{accountId}/marketing/getContacts | 
[**getMarketingListGroups**](MarketingApi.md#getMarketingListGroups) | **GET** /account/{accountId}/marketing/getMarketingListGroups | 
[**getMarketingLists**](MarketingApi.md#getMarketingLists) | **GET** /account/{accountId}/marketing/getLists | 
[**getMarketingScheduledCampaigns**](MarketingApi.md#getMarketingScheduledCampaigns) | **GET** /account/{accountId}/marketing/getMarketingScheduledCampaigns | 
[**getMarketingSuppressions**](MarketingApi.md#getMarketingSuppressions) | **GET** /account/{accountId}/marketing/getSuppressed | 
[**markContactAsUnsubscribed**](MarketingApi.md#markContactAsUnsubscribed) | **PUT** /account/{accountId}/markAsUnsubscribed/{id} | 
[**scheduleMarketingCampaign**](MarketingApi.md#scheduleMarketingCampaign) | **POST** /account/{accountId}/marketing/campaignSchedule | 
[**updateMarketingCampaign**](MarketingApi.md#updateMarketingCampaign) | **PUT** /account/{accountId}/marketing/updateCampaign/{id} | 
[**updateMarketingContactByEmail**](MarketingApi.md#updateMarketingContactByEmail) | **PUT** /account/{accountId}/marketing/updateContact/{email} | 
[**updateMarketingContactById**](MarketingApi.md#updateMarketingContactById) | **PUT** /account/{accountId}/marketing/updateContact/{id} | 
[**updateMarketingList**](MarketingApi.md#updateMarketingList) | **PUT** /account/{accountId}/marketing/updateList/{id} | 

<a name="addMarketingCampaign"></a>
# **addMarketingCampaign**
> InlineResponse20052 addMarketingCampaign(accountId, opts)



Create a new email broadcast campaign. {{ACL: Marketing - Campaign Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let opts = { 
  'body': new Luxsci.MarketingAddCampaignBody(), // MarketingAddCampaignBody | 
};
apiInstance.addMarketingCampaign(accountId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **body** | [**MarketingAddCampaignBody**](MarketingAddCampaignBody.md)|  | [optional] 

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addMarketingContact"></a>
# **addMarketingContact**
> InlineResponse20049 addMarketingContact(accountId, opts)



Add New Contact. {{ACL: Marketing - Contact Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let opts = { 
  'body': new Luxsci.MarketingAddContactBody(), // MarketingAddContactBody | 
};
apiInstance.addMarketingContact(accountId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **body** | [**MarketingAddContactBody**](MarketingAddContactBody.md)|  | [optional] 

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addMarketingContacts"></a>
# **addMarketingContacts**
> InlineResponse2003 addMarketingContacts(accountId, opts)



Add New Contacts. {{ACL: Marketing - Contact Management}}  This is a bulk wrapper around addContact.  You specify multiple contacts in the contacts list element.  The response contains a list of API response call results for each API add request.  Use of addContacts is the same as calling addContact multiple times; however, it is somewhat more efficient.

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let opts = { 
  'body': new Luxsci.MarketingAddContactsBody(), // MarketingAddContactsBody | 
};
apiInstance.addMarketingContacts(accountId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **body** | [**MarketingAddContactsBody**](MarketingAddContactsBody.md)|  | [optional] 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addMarketingList"></a>
# **addMarketingList**
> InlineResponse20047 addMarketingList(accountId, opts)



Add New Contact List. {{ACL: Marketing - List Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let opts = { 
  'body': new Luxsci.MarketingAddListBody(), // MarketingAddListBody | 
};
apiInstance.addMarketingList(accountId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **body** | [**MarketingAddListBody**](MarketingAddListBody.md)|  | [optional] 

### Return type

[**InlineResponse20047**](InlineResponse20047.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="addNewMarketingSuppression"></a>
# **addNewMarketingSuppression**
> InlineResponse20053 addNewMarketingSuppression(accountId, opts)



Add New Suppression. {{ACL: Marketing - Suppression}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let opts = { 
  'body': new Luxsci.MarketingSuppressBody(), // MarketingSuppressBody | 
};
apiInstance.addNewMarketingSuppression(accountId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **body** | [**MarketingSuppressBody**](MarketingSuppressBody.md)|  | [optional] 

### Return type

[**InlineResponse20053**](InlineResponse20053.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="deleteMarketingCampaign"></a>
# **deleteMarketingCampaign**
> InlineResponse201 deleteMarketingCampaign(accountId, id, opts)



Delete a Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let id = 56; // Number | 
let opts = { 
};
apiInstance.deleteMarketingCampaign(accountId, id, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **Number**|  | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteMarketingContactById"></a>
# **deleteMarketingContactById**
> InlineResponse201 deleteMarketingContactById(accountId, id, opts)



Delete Contact By ID. {{ACL: Marketing - Contact Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let id = 56; // Number | 
let opts = { 
};
apiInstance.deleteMarketingContactById(accountId, id, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **Number**|  | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteMarketingList"></a>
# **deleteMarketingList**
> InlineResponse201 deleteMarketingList(accountId, id, opts)



Note: deleting a contact list will delete any contacts in that list. {{ACL: Marketing - List Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let id = "id_example"; // String | List Id.
let opts = { 
};
apiInstance.deleteMarketingList(accountId, id, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **String**| List Id. | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteMarketingListGroup"></a>
# **deleteMarketingListGroup**
> InlineResponse201 deleteMarketingListGroup(accountId, id, opts)



Note: deleting a contact list group will NOT delete any contact lists in that group; they will merely become unassociated with any group. {{ACL: Marketing - List Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let id = "id_example"; // String | List group Id.
let opts = { 
};
apiInstance.deleteMarketingListGroup(accountId, id, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **String**| List group Id. | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="deleteMarketingSuppression"></a>
# **deleteMarketingSuppression**
> InlineResponse201 deleteMarketingSuppression(accountId, type, opts)



Delete Suppression. {{ACL: Marketing - Suppression}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let type = "type_example"; // String | email, domain, ip Select type of suppression
let opts = { 
  'id': 56, // Number | id of the suppressed entry
  'reference': "reference_example", // String | Select suppressed records according to this reference you want to delete
};
apiInstance.deleteMarketingSuppression(accountId, type, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **type** | **String**| email, domain, ip Select type of suppression | 
 **id** | **Number**| id of the suppressed entry | [optional] 
 **reference** | **String**| Select suppressed records according to this reference you want to delete | [optional] 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignBouncedStatistics"></a>
# **getMarketingCampaignBouncedStatistics**
> InlineResponse20055 getMarketingCampaignBouncedStatistics(accountId, scheduleId, opts)



Get Campaign bounced statistics.  {{ACL: Marketing - Statistics}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let scheduleId = 56; // Number | Schedule id of schedule to get bounced stats
let opts = { 
  'limitStart': 0, // Number | Starting row of result. Default: 0
  'limitCount': 25, // Number | Number of records to get. Default: 25
};
apiInstance.getMarketingCampaignBouncedStatistics(accountId, scheduleId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **scheduleId** | **Number**| Schedule id of schedule to get bounced stats | 
 **limitStart** | **Number**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Number**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignClickedStatistics"></a>
# **getMarketingCampaignClickedStatistics**
> InlineResponse20055 getMarketingCampaignClickedStatistics(accountId, scheduleId, opts)



Get Campaign email link clicked statistics.  {{ACL: Marketing - Statistics}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let scheduleId = 56; // Number | Schedule id of schedule to get clicked stats
let opts = { 
  'limitStart': 0, // Number | Starting row of result. Default: 0
  'limitCount': 25, // Number | Number of records to get. Default: 25
};
apiInstance.getMarketingCampaignClickedStatistics(accountId, scheduleId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **scheduleId** | **Number**| Schedule id of schedule to get clicked stats | 
 **limitStart** | **Number**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Number**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignGroups"></a>
# **getMarketingCampaignGroups**
> InlineResponse20055 getMarketingCampaignGroups(accountId, opts)



Get Campaign Groups.  {{ACL: Marketing - Campaign Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let opts = { 
  'id': 56, // Number | id of the campaign group to fetch details for.
  'userId': 56, // Number | Get campaign groups of a particular user.
  'limitStart': 0, // Number | Starting row of result. Default: 0
  'limitCount': 25 // Number | Number of records to get. Default: 25
};
apiInstance.getMarketingCampaignGroups(accountId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **Number**| id of the campaign group to fetch details for. | [optional] 
 **userId** | **Number**| Get campaign groups of a particular user. | [optional] 
 **limitStart** | **Number**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Number**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignOpenedStatistics"></a>
# **getMarketingCampaignOpenedStatistics**
> InlineResponse20055 getMarketingCampaignOpenedStatistics(accountId, scheduleId, opts)



Get Campaign email opened statistics.  {{ACL: Marketing - Statistics}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let scheduleId = 56; // Number | Schedule id of schedule to get open stats
let opts = { 
  'limitStart': 0, // Number | Starting row of result. Default: 0
  'limitCount': 25, // Number | Number of records to get. Default: 25
};
apiInstance.getMarketingCampaignOpenedStatistics(accountId, scheduleId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **scheduleId** | **Number**| Schedule id of schedule to get open stats | 
 **limitStart** | **Number**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Number**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignStatisticsSummary"></a>
# **getMarketingCampaignStatisticsSummary**
> InlineResponse2003 getMarketingCampaignStatisticsSummary(accountId, scheduleId, opts)



Get Campaign statistics summary. {{ACL: Marketing - Statistics}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let scheduleId = "scheduleId_example"; // String | Schedule id of schedule to get its statatistics summary.
let opts = { 
};
apiInstance.getMarketingCampaignStatisticsSummary(accountId, scheduleId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **scheduleId** | **String**| Schedule id of schedule to get its statatistics summary. | 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaignUnsubscribedStatistics"></a>
# **getMarketingCampaignUnsubscribedStatistics**
> InlineResponse20055 getMarketingCampaignUnsubscribedStatistics(accountId, scheduleId, opts)



Get Campaign email unsubscribed statistics.  {{ACL: Marketing - Statistics}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let scheduleId = 56; // Number | Schedule id of schedule to get unsubscribe stats
let opts = { 
  'limitStart': 0, // Number | Starting row of result. Default: 0
  'limitCount': 25, // Number | Number of records to get. Default: 25
};
apiInstance.getMarketingCampaignUnsubscribedStatistics(accountId, scheduleId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **scheduleId** | **Number**| Schedule id of schedule to get unsubscribe stats | 
 **limitStart** | **Number**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Number**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingCampaigns"></a>
# **getMarketingCampaigns**
> InlineResponse20052 getMarketingCampaigns(accountId, id, groupId, limitStart, limitCount, opts)



This call allows you to retrieve details on your campaigns. {{ACL: Marketing - Campaign Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let id = 56; // Number | Use if you want to restrict details to specific Campaign id. If left blank, all your campaigns’ details will be returned.
let groupId = 56; // Number | Group id of the campaigns you want to get.
let limitStart = 0; // Number | Starting row of result. Default: 0
let limitCount = 25; // Number | Number of records to get. Default: 25
let opts = { 
};
apiInstance.getMarketingCampaigns(accountId, id, groupId, limitStart, limitCount, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **Number**| Use if you want to restrict details to specific Campaign id. If left blank, all your campaigns’ details will be returned. | 
 **groupId** | **Number**| Group id of the campaigns you want to get. | 
 **limitStart** | **Number**| Starting row of result. Default: 0 | [default to 0]
 **limitCount** | **Number**| Number of records to get. Default: 25 | [default to 25]

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingContactById"></a>
# **getMarketingContactById**
> InlineResponse20051 getMarketingContactById(accountId, id, opts)



This function allows you to get the details for specific contact using his/her contact ID. {{ACL: Marketing - Contact Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let id = 56; // Number | 
let opts = { 
  'fullDetails': 56, // Number | If specified and set to 1, add contact details will be returned, including the values of all additional fields.
};
apiInstance.getMarketingContactById(accountId, id, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **Number**|  | 
 **fullDetails** | **Number**| If specified and set to 1, add contact details will be returned, including the values of all additional fields. | [optional] 

### Return type

[**InlineResponse20051**](InlineResponse20051.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingContacts"></a>
# **getMarketingContacts**
> InlineResponse20050 getMarketingContacts(accountId, listId, limitStart, limitCount, opts)



This call permits you to get your contacts’ data from the system by specific list or in aggregate. None of the request body parameters are required, and if you leave them blank, the call will return all contacts’ data from all your lists. {{ACL: Marketing - Contact Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let listId = 56; // Number | Contact list id for the contacts you want to get.
let limitStart = 0; // Number | Starting row of result. Default: 0
let limitCount = 25; // Number | Number of records to get. Default: 25
let opts = { 
  'fullDetails': 56, // Number | If specified and set to 1, add contact details will be returned, including the values of all additional fields.
};
apiInstance.getMarketingContacts(accountId, listId, limitStart, limitCount, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **listId** | **Number**| Contact list id for the contacts you want to get. | 
 **limitStart** | **Number**| Starting row of result. Default: 0 | [default to 0]
 **limitCount** | **Number**| Number of records to get. Default: 25 | [default to 25]
 **fullDetails** | **Number**| If specified and set to 1, add contact details will be returned, including the values of all additional fields. | [optional] 

### Return type

[**InlineResponse20050**](InlineResponse20050.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingListGroups"></a>
# **getMarketingListGroups**
> InlineResponse20055 getMarketingListGroups(accountId, opts)



Get Campaign List Groups.  {{ACL: Marketing - Campaign Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let opts = { 
  'id': 56, // Number | id of the List Group to fetch details for.
  'userId': 56, // Number | Get list groups of a particular user.
  'limitStart': 0, // Number | Starting row of result. Default: 0
  'limitCount': 25 // Number | Number of records to get. Default: 25
};
apiInstance.getMarketingListGroups(accountId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **Number**| id of the List Group to fetch details for. | [optional] 
 **userId** | **Number**| Get list groups of a particular user. | [optional] 
 **limitStart** | **Number**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Number**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingLists"></a>
# **getMarketingLists**
> InlineResponse20048 getMarketingLists(accountId, opts)



Return details about one or more specific Contact List(s). If you omit all parameters, all lists should be returned. {{ACL: Marketing - List Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let opts = { 
  'listId': 56, // Number | List id for the specific contact list you want details for.
  'groupId': 56, // Number | Group id for all getting lists in a specific group
};
apiInstance.getMarketingLists(accountId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **listId** | **Number**| List id for the specific contact list you want details for. | [optional] 
 **groupId** | **Number**| Group id for all getting lists in a specific group | [optional] 

### Return type

[**InlineResponse20048**](InlineResponse20048.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingScheduledCampaigns"></a>
# **getMarketingScheduledCampaigns**
> InlineResponse20055 getMarketingScheduledCampaigns(accountId, opts)



Get Scheduled Campaigns.  {{ACL: Marketing - Campaign Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let opts = { 
  'id': 56, // Number | id of the campaign to fetch details for.
  'userId': 56, // Number | Get campaigns of a particular user.
  'limitStart': 25, // Number | Number of records to get. Default: 25.
  'limitCount': 25, // Number | Number of records to get. Default: 25.
  'tStart': 56, // Number | The start time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss)
  'tEnd': 56 // Number | The end time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss)
};
apiInstance.getMarketingScheduledCampaigns(accountId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **Number**| id of the campaign to fetch details for. | [optional] 
 **userId** | **Number**| Get campaigns of a particular user. | [optional] 
 **limitStart** | **Number**| Number of records to get. Default: 25. | [optional] [default to 25]
 **limitCount** | **Number**| Number of records to get. Default: 25. | [optional] [default to 25]
 **tStart** | **Number**| The start time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) | [optional] 
 **tEnd** | **Number**| The end time from when to fetch the scheduled campaign. Supported format (dd-mm-yyyy_hh-mm-ss) | [optional] 

### Return type

[**InlineResponse20055**](InlineResponse20055.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getMarketingSuppressions"></a>
# **getMarketingSuppressions**
> InlineResponse20054 getMarketingSuppressions(accountId, type, opts)



Get Suppressions. {{ACL: Marketing - Suppression}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let type = "type_example"; // String | email, domain, ip Select type of suppression list you want to get
let opts = { 
  'id': 56, // Number | id of the suppressed entry
  'reference': "reference_example", // String | Get suppressed records according to this reference
  'limitStart': 0, // Number | Starting row of result. Default: 0
  'limitCount': 25, // Number | Number of records to get. Default: 25
};
apiInstance.getMarketingSuppressions(accountId, type, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **type** | **String**| email, domain, ip Select type of suppression list you want to get | 
 **id** | **Number**| id of the suppressed entry | [optional] 
 **reference** | **String**| Get suppressed records according to this reference | [optional] 
 **limitStart** | **Number**| Starting row of result. Default: 0 | [optional] [default to 0]
 **limitCount** | **Number**| Number of records to get. Default: 25 | [optional] [default to 25]

### Return type

[**InlineResponse20054**](InlineResponse20054.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="markContactAsUnsubscribed"></a>
# **markContactAsUnsubscribed**
> InlineResponse201 markContactAsUnsubscribed(accountId, id, opts)



Changes a contact’s status to “unsubscribed.” This is more efficient than calling updateContact to make this change. {{ACL: Marketing - Contact Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let id = "id_example"; // String | 
let opts = { 
};
apiInstance.markContactAsUnsubscribed(accountId, id, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **String**|  | 

### Return type

[**InlineResponse201**](InlineResponse201.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="scheduleMarketingCampaign"></a>
# **scheduleMarketingCampaign**
> InlineResponse2003 scheduleMarketingCampaign(accountId, opts)



Schedule Campaign. {{ACL: Marketing - Scheduling}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let opts = { 
  'body': new Luxsci.MarketingCampaignScheduleBody(), // MarketingCampaignScheduleBody | 
};
apiInstance.scheduleMarketingCampaign(accountId, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **body** | [**MarketingCampaignScheduleBody**](MarketingCampaignScheduleBody.md)|  | [optional] 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateMarketingCampaign"></a>
# **updateMarketingCampaign**
> InlineResponse20052 updateMarketingCampaign(accountId, id, opts)



Update a Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let id = "id_example"; // String | 
let opts = { 
  'body': new Luxsci.UpdateCampaignIdBody(), // UpdateCampaignIdBody | 
};
apiInstance.updateMarketingCampaign(accountId, id, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **String**|  | 
 **body** | [**UpdateCampaignIdBody**](UpdateCampaignIdBody.md)|  | [optional] 

### Return type

[**InlineResponse20052**](InlineResponse20052.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateMarketingContactByEmail"></a>
# **updateMarketingContactByEmail**
> InlineResponse20049 updateMarketingContactByEmail(accountId, email, opts)



Update the details, including custom field values, of contacts with the specified email address. {{ACL: Marketing - Contact Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let email = "email_example"; // String | 
let opts = { 
  'body': new Luxsci.UpdateContactEmailBody(), // UpdateContactEmailBody | 
};
apiInstance.updateMarketingContactByEmail(accountId, email, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **email** | **String**|  | 
 **body** | [**UpdateContactEmailBody**](UpdateContactEmailBody.md)|  | [optional] 

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateMarketingContactById"></a>
# **updateMarketingContactById**
> InlineResponse20049 updateMarketingContactById(accountId, id, opts)



Update the details, including custom field values, of a contact, using their contact ID. {{ACL: Marketing - Contact Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let id = "id_example"; // String | 
let opts = { 
  'body': new Luxsci.UpdateContactRequestBody(), // UpdateContactRequestBody | 
};
apiInstance.updateMarketingContactById(accountId, id, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **String**|  | 
 **body** | [**UpdateContactRequestBody**](UpdateContactRequestBody.md)|  | [optional] 

### Return type

[**InlineResponse20049**](InlineResponse20049.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateMarketingList"></a>
# **updateMarketingList**
> InlineResponse20047 updateMarketingList(accountId, id, opts)



Update information for existing Contact Lists such as From Name or From Address. This can also be used to assign custom fields to specific lists, but the custom field must exist in the platform in advance. Return contact information and other general metadata for the user. {{ACL: Marketing - List Management}}

### Example
```javascript
import {Luxsci} from 'luxsci';

const secret_key = "SECRET_KEY";
const token = "TOKEN";

const luxsciClient = await Luxsci.Client({
  publicToken:token,
  privateToken:secret_key
});
let apiInstance = luxsciClient.MarketingApi

let accountId = "accountId_example"; // String | 
let id = "id_example"; // String | List Id.
let opts = { 
  'body': new Luxsci.UpdateListIdBody(), // UpdateListIdBody | 
};
apiInstance.updateMarketingList(accountId, id, opts).then((data) => {
  console.log('API called successfully. Returned data: ' + data);
}, (error) => {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountId** | **String**|  | 
 **id** | **String**| List Id. | 
 **body** | [**UpdateListIdBody**](UpdateListIdBody.md)|  | [optional] 

### Return type

[**InlineResponse20047**](InlineResponse20047.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

